LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
CompositionType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdb
| Basic interfaces for database access.
module | com::sun::star::sdb::tools
| misc stuff.

## Constant Groups
constants | com::sun::star::sdb::tools::CompositionType
| specifies which composition should be used when composing a table name.

## Variables
const long | ForTableDefinitions = 0
| specifies composition of a name to be used in table definitions
const long | ForIndexDefinitions = 1
| specifies composition of a name to be used in index definitions
const long | ForDataManipulation = 2
| specifies composition of a name to be used in data manipulation
const long | ForProcedureCalls = 3
| specifies composition of a name to be used in procedure calls
const long | ForPrivilegeDefinitions = 4
| specifies composition of a name to be used in privilege definitions
const long | Complete = 5
| specifies complete composition of a table name, including catalog and schema (if present), disregarding any database support for catalog and schema in any particular statements